Subject: [ETI Informal All 1AD.04.06.06] No Other Name Whereby Men May Be Saved
From: "James R @ ETIMin" <[email-masked]>
To: "Lists @ ETI Min" <[email-masked]>
Date: Sun, 13 Jun 2004 11:13:16 +0200

ToGreetings

This follows on to some extent from the posting about Yeshua.

It is an extract from correspondence with the person to whom that mail was originally directed and provides some further challenging thoughts relating to the overall subject of who Yahooshua actually was and what he actually accomplished.

Warm regards and blessings

James

>>> EXTRACT BEGINS <<<

----- Original Message ----- 
From: James R @ ETIMin 
To: 
Sent: Wednesday, April 28, 2004 12:26 PM
Subject: Yahushua versus Yahooshua?

... <<< LARGE PORTION OMITTED >>>

Regarding "Neither is there salvation in any other; for there is none other name under heaven given among men, whereby we must be saved"
It is my understanding that the name "Yahushua" or "Yahooshua", or whatever is the most accurate English rendition of the Hebrew, is the only name through which salvation comes because of what the name means in the spirit and earthly realm.

In other words there is NO other name that means "the salvation of Yah" / "Yah is salvation" - in other words, stating that "Yahushua" (or whatever is the most accurate rendition) is the only name in which there is salvation is a statement of spiritual law, NOT a statement about a specific man.

I am suggesting that there is no other name which means "the salvation of Yah"

In other words - "none other name" derives from the name, NOT from what Yahushua of Natsareth did.

I hope that i have managed to express this clearly?

Thus, i understand "salvation of Yah" to be in a sense a "job description" of what Yahushua of Natsareth came to do and that Yahushua of Natsareth gave more DEPTH and understanding to the name through what he did but did not give the name Yahushua some mystical meaning or import

Conclusion
I would like to obtain feedback from you on the above points as a higher priority to discussion on the other points.

Thank you for your input.

Warm regards and blessings

James